<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <!-- Main content -->
        <div class="invoice p-3 mb-3" *ngIf="preApprovalDetail">
          <!-- title row -->
          <div class="row page-header">
            <div class="col-12 ">
              <h4>
                <i class="fas fa-globe"></i> Subject
                :: {{preApprovalDetail.memoSubject + ' [ ' + preApprovalDetail.paymentMode + ' ]'}}
                &nbsp;&nbsp; Recent Status : <span
                *ngIf="type === 'PRE_APPROVAL'">{{preApprovalDetail.recentPreApprovalStatus}}</span>
                <button class="btn btn-info btn-xs"
                        *ngIf="canViewRejectReason"
                        (click)="viewRejectionReason()">
                  Rejection Reason
                </button>
                <span *ngIf="type === 'BILL_PAYMENT'">{{preApprovalDetail.recentBillPaymentStatus}}</span>
                <small class="float-right">Memo Date(P/B):
                  <strong>
                    {{preApprovalDetail.memoDatePreApproval | date:'MMM d, y, h:mm:ss a'}}
                    {{preApprovalDetail.memoDateBillPayment | date:'MMM d, y, h:mm:ss a'}}
                  </strong>
                </small>
              </h4>
            </div>
            <!-- /.col -->
          </div>
          <!-- info row -->
          <div class="row invoice-info">
            <div class="col-sm-4 invoice-col">
              <span *ngIf="preApprovalDetail.referenceNumberPreApproval">
                <b>Reference Number(PRE):</b><span class="fa-pull-right">
                {{preApprovalDetail.referenceNumberPreApproval}}</span> <br>
              </span>
              <span *ngIf="preApprovalDetail.referenceNumberBillPayment">
                <b>Reference Number(BILL):</b><span class="fa-pull-right">
                {{preApprovalDetail.referenceNumberBillPayment}}
              </span><br>
              </span>
              <b>Proposed Amount:</b> <span class="fa-pull-right">
              {{preApprovalDetail.proposedAmount | currency : 'NPR '}}</span><br>
              <b>Advance:</b> <span class="fa-pull-right">{{preApprovalDetail.advance | currency : 'NPR '}}</span><br>
              <b>Month:</b> <span class="fa-pull-right">{{preApprovalDetail.month}}</span><br>
              <b>Fiscal Year:</b> <span class="fa-pull-right">{{preApprovalDetail.fiscalYear}}</span><br>
              <b>Expense Type:</b> <span class="fa-pull-right">{{preApprovalDetail.expenditureType}}</span><br>
            </div>
            <!-- /.col -->
            <div class="col-sm-4 invoice-col">
              <span *ngIf="preApprovalDetail.preApprovalRequestedByBranch">
                <b>Requested By Branch:</b>
              <span class="fa-pull-right">
              {{ preApprovalDetail.preApprovalRequestedByBranch.name + ' ( ' + preApprovalDetail.preApprovalRequestedByBranch.code + ' )'  }}
              </span><br>
              </span>
              <span *ngIf="preApprovalDetail.billPaymentRequestedByBranch">
                  <b *ngIf="preApprovalDetail.billPaymentRequestedByBranch">Bill Payment Requested By:</b>
              <span class="fa-pull-right" *ngIf="preApprovalDetail.billPaymentRequestedByBranch">
                {{ preApprovalDetail.billPaymentRequestedByBranch?.name + ' ( ' + preApprovalDetail.billPaymentRequestedByBranch?.code + ' )'  }}
              </span> <br>
              </span>
              <span *ngIf="preApprovalDetail.justification">
                 <b>Justification:</b>
                  <span class="fa-pull-right">
                      {{preApprovalDetail.justification}}
                  </span> <br>
              </span>
              <br>
            </div>
            <div class="col-sm-4 invoice-col">
              <app-view-doc [type]="type" [expenditureDetailId]="id"></app-view-doc>
            </div>
            <div class="col-sm-12 invoice-col" *ngIf="preApprovalDetail.link">
             <span>
                <b>Link:</b>
                <span *ngFor="let link of links">
                  <a target="_blank"
                     style="overflow-wrap: break-word;"
                     (click)="goToRefLink(link)">
                    {{link}}
                  </a> &nbsp;&nbsp;
                </span>
                <br>
              </span>
            </div>
            <div class="col-sm-12 invoice-col">
              <br>
              <span>
                <b>Memo Detail:</b>
                <div class="memo-detail">
                  <div [innerHTML]="preApprovalDetail.memoDetail"></div>
                 </div>
              </span>
            </div>
          </div>

          <div class="row invoice-info">
            <div class="col-sm-12 invoice-col">
              <app-view-bill-detail [expDetailId]="id"></app-view-bill-detail>
              <button class="btn btn-info btn-block" (click)="viewVendorDetail()">View Vendor Report</button>
            </div>
          </div>
          <hr>
          <app-expense-detail [expenseDetail]="preApprovalDetail.expenditureTxnDetailResources"
                              *ngIf="preApprovalDetail"
                              [expenditureDetailId]="id"
                              [showEdit]="false"
                              [isApprovedBillPayment]="false"></app-expense-detail>
          <!--          <hr>-->
          <!--          <app-view-budget-detail [expenditureDetailId]="id"-->
          <!--                                  *ngIf="preApprovalDetail && preApprovalDetail.paymentMode === 'NORMAL'">-->
          <!--          </app-view-budget-detail>-->
          <app-support-approve-detail [preApprovalDetail]="preApprovalDetail"
                                      [id]="id"
                                      [type]="type">
          </app-support-approve-detail>
          <app-remarks [expenditureDetailId]="id" [type]="type"></app-remarks>
          <hr>
          <div class="row no-print">
            <div class="col-12">
              <a (click)="goToLink('')"
                 target="_blank"
                 class="btn btn-default">
                <i class="fas fa-print"></i>
                Print</a>
            </div>
          </div>
        </div>
        <!-- /.invoice -->
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</section>


<p-dialog [(visible)]="showRejectionReasonForm"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    <h3 style="font-weight: 800;color: #454545;float: left; margin: 0;">Admin Rejection Detail.</h3>
  </p-header>
  <div class="row" *ngIf="adminRejectionDetail">
    <div class="col-md-12 mt-3">
      <div class="col-md-6 form-group float-left">
        <label>Document Name :</label>
        <p>
          <a (click)="download(adminRejectionDetail.expenditureAttachmentId,
          adminRejectionDetail.fileName)" target="_blank" style="color: red">
            {{adminRejectionDetail.fileName}}
            <i class="pi pi-download" style="font-size: 1em"></i>
          </a>
        </p>
      </div>

      <div class="col-md-6 form-group float-left">
        <label>Remarks :</label>
        <p> {{adminRejectionDetail.remarks}}</p>
      </div>
    </div>
  </div>
</p-dialog>



<p-dialog [(visible)]="showVendorReport"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '890px', height: 'auto'}">
  <p-header>
    <h3 style="font-weight: 800;color: #454545;float: left; margin: 0;">Vendor Wise Memo Details</h3>
  </p-header>
  <p-table id="exportTable"
           class="text-center"
           [columns]="columnName"
           [value]="(data$)"
           [resizableColumns]="true"
           [autoLayout]="true">

    <ng-template pTemplate="caption">
      List of Memos with same vendor
      :&nbsp;{{ totalRecords }}
    </ng-template>
    <ng-template pTemplate="header" let-columns>
      <tr>
        <th *ngFor="let col of columns" [pSortableColumn]="col.value">
          {{col.name}}
          <p-sortIcon [field]="col.value"></p-sortIcon>
        </th>
      </tr>
    </ng-template>

    <ng-template pTemplate="body" let-list let-i="rowIndex">
      <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
        <td>{{ i + 1 + itemsPerPage * page }}</td>
        <td>{{list.memoCode}}</td>
        <td>{{list.subject}}</td>
        <!--              <td style="overflow-wrap: anywhere">{{list.description}}</td>-->
        <td>{{list.currentBillPaymentStatus}}</td>
        <td>{{list.memoDate | date:'MMM d, y, h:mm:ss a'}}</td>
        <td>{{list.fiscalYear}}</td>
        <td>{{list.billAmount | currency: 'NPR. '}}</td>
        <td>
          <button (click)="goTo()"
                  class="btn btn-success btn-xs mr-2" target="_blank">
            <i class="pi pi-eye" style="font-size: 1rem"></i>
          </button>
        </td>
      </tr>
    </ng-template>
  </p-table>
  <p-paginator
    [rows]="itemsPerPage"
    [totalRecords]="totalRecords"
    pageLinkSize="3"
    [rowsPerPageOptions]="rowsPerPageOptions"
    (onPageChange)="paginate($event)">
  </p-paginator>
</p-dialog>
